<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>CompoundTag (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CompoundTag (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/sk89q/jnbt/ByteTag.html" title="class in com.sk89q.jnbt"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html" title="class in com.sk89q.jnbt"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/sk89q/jnbt/CompoundTag.html" target="_top">Frames</a></li>
<li><a href="CompoundTag.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.jnbt</div>
<h2 title="Class CompoundTag" class="title">Class CompoundTag</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">com.sk89q.jnbt.Tag</a></li>
<li>
<ul class="inheritance">
<li>com.sk89q.jnbt.CompoundTag</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">CompoundTag</span>
extends <a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a></pre>
<div class="block">The <code>TAG_Compound</code> tag.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTag.html#CompoundTag-java.util.Map-">CompoundTag</a></span>(java.util.Map&lt;java.lang.String,<a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a>&gt;&nbsp;value)</code>
<div class="block">Creates the tag with an empty name.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTag.html#asDouble-java.lang.String-">asDouble</a></span>(java.lang.String&nbsp;key)</code>
<div class="block">Get a double named with the given key, even if it's another
 type of number.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTag.html#asInt-java.lang.String-">asInt</a></span>(java.lang.String&nbsp;key)</code>
<div class="block">Get an int named with the given key, even if it's another
 type of number.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTag.html#asLong-java.lang.String-">asLong</a></span>(java.lang.String&nbsp;key)</code>
<div class="block">Get a long named with the given key, even if it's another
 type of number.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTag.html#containsKey-java.lang.String-">containsKey</a></span>(java.lang.String&nbsp;key)</code>
<div class="block">Returns whether this compound tag contains the given key.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html" title="class in com.sk89q.jnbt">CompoundTagBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTag.html#createBuilder--">createBuilder</a></span>()</code>
<div class="block">Create a compound tag builder.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTag.html#getByte-java.lang.String-">getByte</a></span>(java.lang.String&nbsp;key)</code>
<div class="block">Get a byte named with the given key.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTag.html#getByteArray-java.lang.String-">getByteArray</a></span>(java.lang.String&nbsp;key)</code>
<div class="block">Get a byte array named with the given key.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTag.html#getDouble-java.lang.String-">getDouble</a></span>(java.lang.String&nbsp;key)</code>
<div class="block">Get a double named with the given key.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTag.html#getFloat-java.lang.String-">getFloat</a></span>(java.lang.String&nbsp;key)</code>
<div class="block">Get a float named with the given key.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTag.html#getInt-java.lang.String-">getInt</a></span>(java.lang.String&nbsp;key)</code>
<div class="block">Get an int named with the given key.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>int[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTag.html#getIntArray-java.lang.String-">getIntArray</a></span>(java.lang.String&nbsp;key)</code>
<div class="block">Get a <code>int[]</code> named with the given key.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTag.html#getList-java.lang.String-">getList</a></span>(java.lang.String&nbsp;key)</code>
<div class="block">Get a list of tags named with the given key.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>&lt;T extends <a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a>&gt;<br>java.util.List&lt;T&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTag.html#getList-java.lang.String-java.lang.Class-">getList</a></span>(java.lang.String&nbsp;key,
       java.lang.Class&lt;T&gt;&nbsp;listType)</code>
<div class="block">Get a list of tags named with the given key.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../com/sk89q/jnbt/ListTag.html" title="class in com.sk89q.jnbt">ListTag</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTag.html#getListTag-java.lang.String-">getListTag</a></span>(java.lang.String&nbsp;key)</code>
<div class="block">Get a <code>TagList</code> named with the given key.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTag.html#getLong-java.lang.String-">getLong</a></span>(java.lang.String&nbsp;key)</code>
<div class="block">Get a long named with the given key.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>long[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTag.html#getLongArray-java.lang.String-">getLongArray</a></span>(java.lang.String&nbsp;key)</code>
<div class="block">Get a <code>long[]</code> named with the given key.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>short</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTag.html#getShort-java.lang.String-">getShort</a></span>(java.lang.String&nbsp;key)</code>
<div class="block">Get a short named with the given key.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTag.html#getString-java.lang.String-">getString</a></span>(java.lang.String&nbsp;key)</code>
<div class="block">Get a string named with the given key.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>java.util.Map&lt;java.lang.String,<a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTag.html#getValue--">getValue</a></span>()</code>
<div class="block">Gets the value of this tag.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code><a href="../../../com/sk89q/jnbt/CompoundTag.html" title="class in com.sk89q.jnbt">CompoundTag</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTag.html#setValue-java.util.Map-">setValue</a></span>(java.util.Map&lt;java.lang.String,<a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a>&gt;&nbsp;value)</code>
<div class="block">Return a new compound tag with the given values.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/CompoundTag.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CompoundTag-java.util.Map-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CompoundTag</h4>
<pre>public&nbsp;CompoundTag(java.util.Map&lt;java.lang.String,<a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a>&gt;&nbsp;value)</pre>
<div class="block">Creates the tag with an empty name.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the value of the tag</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="containsKey-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>containsKey</h4>
<pre>public&nbsp;boolean&nbsp;containsKey(java.lang.String&nbsp;key)</pre>
<div class="block">Returns whether this compound tag contains the given key.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the given key</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the tag contains the given key</dd>
</dl>
</li>
</ul>
<a name="getValue--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValue</h4>
<pre>public&nbsp;java.util.Map&lt;java.lang.String,<a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a>&gt;&nbsp;getValue()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../com/sk89q/jnbt/Tag.html#getValue--">Tag</a></code></span></div>
<div class="block">Gets the value of this tag.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../com/sk89q/jnbt/Tag.html#getValue--">getValue</a></code>&nbsp;in class&nbsp;<code><a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value</dd>
</dl>
</li>
</ul>
<a name="setValue-java.util.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setValue</h4>
<pre>public&nbsp;<a href="../../../com/sk89q/jnbt/CompoundTag.html" title="class in com.sk89q.jnbt">CompoundTag</a>&nbsp;setValue(java.util.Map&lt;java.lang.String,<a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a>&gt;&nbsp;value)</pre>
<div class="block">Return a new compound tag with the given values.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the value</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new compound tag</dd>
</dl>
</li>
</ul>
<a name="createBuilder--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createBuilder</h4>
<pre>public&nbsp;<a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html" title="class in com.sk89q.jnbt">CompoundTagBuilder</a>&nbsp;createBuilder()</pre>
<div class="block">Create a compound tag builder.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the builder</dd>
</dl>
</li>
</ul>
<a name="getByteArray-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getByteArray</h4>
<pre>public&nbsp;byte[]&nbsp;getByteArray(java.lang.String&nbsp;key)</pre>
<div class="block">Get a byte array named with the given key.

 <p>If the key does not exist or its value is not a byte array tag,
 then an empty byte array will be returned.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a byte array</dd>
</dl>
</li>
</ul>
<a name="getByte-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getByte</h4>
<pre>public&nbsp;byte&nbsp;getByte(java.lang.String&nbsp;key)</pre>
<div class="block">Get a byte named with the given key.

 <p>If the key does not exist or its value is not a byte tag,
 then <code>0</code> will be returned.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a byte</dd>
</dl>
</li>
</ul>
<a name="getDouble-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDouble</h4>
<pre>public&nbsp;double&nbsp;getDouble(java.lang.String&nbsp;key)</pre>
<div class="block">Get a double named with the given key.

 <p>If the key does not exist or its value is not a double tag,
 then <code>0</code> will be returned.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a double</dd>
</dl>
</li>
</ul>
<a name="asDouble-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>asDouble</h4>
<pre>public&nbsp;double&nbsp;asDouble(java.lang.String&nbsp;key)</pre>
<div class="block">Get a double named with the given key, even if it's another
 type of number.

 <p>If the key does not exist or its value is not a number,
 then <code>0</code> will be returned.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a double</dd>
</dl>
</li>
</ul>
<a name="getFloat-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFloat</h4>
<pre>public&nbsp;float&nbsp;getFloat(java.lang.String&nbsp;key)</pre>
<div class="block">Get a float named with the given key.

 <p>If the key does not exist or its value is not a float tag,
 then <code>0</code> will be returned.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a float</dd>
</dl>
</li>
</ul>
<a name="getIntArray-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIntArray</h4>
<pre>public&nbsp;int[]&nbsp;getIntArray(java.lang.String&nbsp;key)</pre>
<div class="block">Get a <code>int[]</code> named with the given key.

 <p>If the key does not exist or its value is not an int array tag,
 then an empty array will be returned.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an int array</dd>
</dl>
</li>
</ul>
<a name="getInt-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInt</h4>
<pre>public&nbsp;int&nbsp;getInt(java.lang.String&nbsp;key)</pre>
<div class="block">Get an int named with the given key.

 <p>If the key does not exist or its value is not an int tag,
 then <code>0</code> will be returned.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an int</dd>
</dl>
</li>
</ul>
<a name="asInt-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>asInt</h4>
<pre>public&nbsp;int&nbsp;asInt(java.lang.String&nbsp;key)</pre>
<div class="block">Get an int named with the given key, even if it's another
 type of number.

 <p>If the key does not exist or its value is not a number,
 then <code>0</code> will be returned.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an int</dd>
</dl>
</li>
</ul>
<a name="getList-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getList</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a>&gt;&nbsp;getList(java.lang.String&nbsp;key)</pre>
<div class="block">Get a list of tags named with the given key.

 <p>If the key does not exist or its value is not a list tag,
 then an empty list will be returned.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a list of tags</dd>
</dl>
</li>
</ul>
<a name="getListTag-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getListTag</h4>
<pre>public&nbsp;<a href="../../../com/sk89q/jnbt/ListTag.html" title="class in com.sk89q.jnbt">ListTag</a>&nbsp;getListTag(java.lang.String&nbsp;key)</pre>
<div class="block">Get a <code>TagList</code> named with the given key.

 <p>If the key does not exist or its value is not a list tag,
 then an empty tag list will be returned.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a tag list instance</dd>
</dl>
</li>
</ul>
<a name="getList-java.lang.String-java.lang.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getList</h4>
<pre>public&nbsp;&lt;T extends <a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a>&gt;&nbsp;java.util.List&lt;T&gt;&nbsp;getList(java.lang.String&nbsp;key,
                                                 java.lang.Class&lt;T&gt;&nbsp;listType)</pre>
<div class="block">Get a list of tags named with the given key.

 <p>If the key does not exist or its value is not a list tag,
 then an empty list will be returned. If the given key references
 a list but the list of of a different type, then an empty
 list will also be returned.</p></div>
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>T</code> - the type of list</dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key</dd>
<dd><code>listType</code> - the class of the contained type</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a list of tags</dd>
</dl>
</li>
</ul>
<a name="getLongArray-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLongArray</h4>
<pre>public&nbsp;long[]&nbsp;getLongArray(java.lang.String&nbsp;key)</pre>
<div class="block">Get a <code>long[]</code> named with the given key.

 <p>If the key does not exist or its value is not an long array tag,
 then an empty array will be returned.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an int array</dd>
</dl>
</li>
</ul>
<a name="getLong-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLong</h4>
<pre>public&nbsp;long&nbsp;getLong(java.lang.String&nbsp;key)</pre>
<div class="block">Get a long named with the given key.

 <p>If the key does not exist or its value is not a long tag,
 then <code>0</code> will be returned.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a long</dd>
</dl>
</li>
</ul>
<a name="asLong-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>asLong</h4>
<pre>public&nbsp;long&nbsp;asLong(java.lang.String&nbsp;key)</pre>
<div class="block">Get a long named with the given key, even if it's another
 type of number.

 <p>If the key does not exist or its value is not a number,
 then <code>0</code> will be returned.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a long</dd>
</dl>
</li>
</ul>
<a name="getShort-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getShort</h4>
<pre>public&nbsp;short&nbsp;getShort(java.lang.String&nbsp;key)</pre>
<div class="block">Get a short named with the given key.

 <p>If the key does not exist or its value is not a short tag,
 then <code>0</code> will be returned.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a short</dd>
</dl>
</li>
</ul>
<a name="getString-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getString</h4>
<pre>public&nbsp;java.lang.String&nbsp;getString(java.lang.String&nbsp;key)</pre>
<div class="block">Get a string named with the given key.

 <p>If the key does not exist or its value is not a string tag,
 then <code>""</code> will be returned.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a string</dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/sk89q/jnbt/ByteTag.html" title="class in com.sk89q.jnbt"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../com/sk89q/jnbt/CompoundTagBuilder.html" title="class in com.sk89q.jnbt"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/sk89q/jnbt/CompoundTag.html" target="_top">Frames</a></li>
<li><a href="CompoundTag.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
